View Issue Details

IDProjectCategoryView StatusLast Update
0012327mantisbtfilterspublic2014-12-08 00:33
ReporterdarynAssigned Todaryn 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012327: Enhance plugin filters to allow developers to specify the number of columns to use in the bug filter.
Description

Plugin developers should be able to specify the number of columns a filter uses. Filters should default to one column. Filters should not be allow to break the table layout by invalid colspan entries. Filter api should dynamically handle assigning plugin fields to rows in order to maximize column usage.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036492

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 34cdf3b8

2010-09-08 18:30:04

daryn

Details Diff
Fix 0012327 - Enhance plugin filters to allow developers to specify the number of columns to use in the bug filter.

Feature allowing plugin filters to specify the number of table columns to
span in the bug filter. If a field requires more columns than are available
in the row it is placed into the next row with available columns. If the
plugin specifies a colspan greater than is configured the field is given a
full row. If the plugin specifies a colspan of zero the field is assigned
one column. If the plugin specifies a negative number it is converted to a
positive number.
mod - core/classes/MantisFilter.class.php Diff File
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2010-09-08 14:29 daryn New Issue
2010-09-08 14:29 daryn Status new => assigned
2010-09-08 14:29 daryn Assigned To => daryn
2010-09-08 14:30 daryn Changeset attached => MantisBT master 34cdf3b8
2010-09-08 14:30 daryn Resolution open => fixed
2010-09-08 14:30 daryn Fixed in Version => 1.3.0-beta.1
2010-09-08 14:31 daryn Status assigned => resolved
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036492
2013-04-05 18:04 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-10-18 16:09 atrol Product Version git trunk => 1.2.15
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:33 vboctor Status resolved => closed